Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.core
Class CinemaSystemEvents

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.cinema.core.CinemaSystemEvents

All Implemented Interfaces:
  SystemEventProducer

public class CinemaSystemEvents
extends Module
implements SystemEventProducer

CinemaSystemEvents.java Created: Thu Apr 20 18:26:56 2000

Version:
  $Id: CinemaSystemEvents.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaSystemEvents()`

Method Summary
`void` | `addSystemEventListener(SystemListener listener)`
`void` | `fireSystemEvent(SystemEventOption option)`
`void` | `fireSystemExit(int i)`
`String` | `getVersion()` Returns the version of this module.
`void` | `load()` The method called for the load of this module.
`void` | `removeSystemEventListener(SystemListener listener)`
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredIdentifiers, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaSystemEvents

    public CinemaSystemEvents()

Method Detail

### load

    public void load()

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### addSystemEventListener

    public void addSystemEventListener(SystemListener listener)

  Specified by:
    `addSystemEventListener` in interface `SystemEventProducer`

### removeSystemEventListener

    public void removeSystemEventListener(SystemListener listener)

  Specified by:
    `removeSystemEventListener` in interface `SystemEventProducer`

### fireSystemEvent

    public void fireSystemEvent(SystemEventOption option)
                         throws SystemVetoException

    `SystemVetoException`

### fireSystemExit

    public void fireSystemExit(int i)

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD